package cn.com.countrygarden.bi.main.dto.advise;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
/**
 * 建言处理节点查看-view类
 * @author 木木子
 *
 */
public class AfAdviseProcessOneVO {
	/**
	 * 建言处理节点id
	 */
	 private Integer adviseProcessId;
	  /**
     * 节点类型名称（0项目1区域2总部3类型）
     */
     private String processTypeName;
     /**
      * 节点类型（0项目1区域2总部3类型）
      */
      private Integer processType;
     /**
      * 回复时间
      */
	 @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
     private Date answerTime;
     /**
      * 处理人编号
      */
     private String userCode;
     /**
      * 处理人姓名
      */
     private String userName;
     /**
      * 处理内容
      */
     private String content;
     /**
      * 状态（0保存1已发布）
      */
     private Integer state;

     /**
      * 是否能编辑节点(true:能，false：否)
      */
     private Boolean isEdit;
	/**
	 * 分配的建言类型标识
	 */

	private Integer distributionAdviseTypeId;
	/**
	 * 分支关联
	 */
	private String branchTypeCode;
     
	
	public Integer getAdviseProcessId() {
		return adviseProcessId;
	}
	public void setAdviseProcessId(Integer adviseProcessId) {
		this.adviseProcessId = adviseProcessId;
	}
	public String getProcessTypeName() {
		return processTypeName;
	}
	public void setProcessTypeName(String processTypeName) {
		this.processTypeName = processTypeName;
	}
	public Integer getProcessType() {
		return processType;
	}
	public void setProcessType(Integer processType) {
		this.processType = processType;
	}
	public Date getAnswerTime() {
		return answerTime;
	}
	public void setAnswerTime(Date answerTime) {
		this.answerTime = answerTime;
	}
	public String getUserCode() {
		return userCode;
	}
	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	
	
	public Integer getState() {
		return state;
	}
	public void setState(Integer state) {
		this.state = state;
	}

	public Boolean getEdit() {
		return isEdit;
	}

	public void setEdit(Boolean edit) {
		isEdit = edit;
	}

	public Integer getDistributionAdviseTypeId() {
		return distributionAdviseTypeId;
	}

	public void setDistributionAdviseTypeId(Integer distributionAdviseTypeId) {
		this.distributionAdviseTypeId = distributionAdviseTypeId;
	}

	public String getBranchTypeCode() {
		return branchTypeCode;
	}

	public void setBranchTypeCode(String branchTypeCode) {
		this.branchTypeCode = branchTypeCode;
	}
}
